
#ifndef VDUMP
#define VDUMP

/* Dumpfile routines */

#include "vcalc.h"

typedef enum { DX_NONE=0, DX_FRAGS, DX_DIF, DX_TAB,
                    DX_JSEQS, DX_PLOT }  DX_TYPE;

typedef struct { char *dfile;  DX_TYPE dx_type; }  DUMP_STRUCT;

extern char *outfile_ext_list[];

void testdump(void);
int dump_fragments(DUMP_STRUCT *dds);
DUMP_STRUCT *parse_dfiles(char *outname);
void dumpx_close(char *dfile);
void set_totpairparms(void);
void set_pairparms(SIMX *sc);
void set_totglobparms(void);

void show_seqnames(void);
void show_features(void);
void show_all_seqnames(char *bleep);
void show_unalens(PRINTFUNP prfun, PRINTFUNP prfun2);
void show_polysites(void);
void permute_head(int headflag, int (*prfun)(const char *control, ...));
void show_vmainpvals(void);
#ifdef VTEXT
void show_maxmeansims(int headflag);
#endif


#endif /* VDUMP */


